<?php

class SisNotasSQL
{
    //criar uma regra de recorrencia
    public function criarRecorrencia($ContasaPagar)
    {
    
    require_once 'conexao.php';
    
    //$ContasaPagar->observacao;
    //inseri os valores caso nao encontre o usuario na tabela
	$query = "INSERT INTO RECORRENCIA_CAIXA (HISTORICO,SUB_CATEGORIA,OBSERVACAO,CATEGORIA_NOME)
    VALUES ('$ContasaPagar->historico', '$ContasaPagar->subCategoriaCod','$ContasaPagar->observacao','$ContasaPagar->categoria');" ;
	$result = mysqli_query($conexao, $query);
   
    return $result;
    }

//listar as regras de recorrencia
public function BuscarRecorrencia()
{
    
require_once 'conexao.php';

$query = "SELECT * FROM RECORRENCIA_CAIXA";
$result = mysqli_query($conexao, $query);
return $result;

}

//excluir uma recorrencia no mysql
public function ExluirRecorrencia($id)
{
    require_once 'conexao.php';
   
    $query = "DELETE FROM RECORRENCIA_CAIXA WHERE ID = $id";
    $result = mysqli_query($conexao, $query);
    return $result;
    
}



//listar as regras de recorrencia
public function BuscarRecorrenciaId($idRecorrencia,$conexao)
{
    

$query = "SELECT * FROM RECORRENCIA_CAIXA WHERE ID = '$idRecorrencia'";
$result = mysqli_query($conexao, $query);
return $row = $result->fetch_array(MYSQLI_ASSOC);

}


public function FinalizarCofreRemotoSqlServer($numeroSangriaSoft,$conexao)

{
    $query = "INSERT INTO finalizar_cofre (numeroSQL) VALUES ($numeroSangriaSoft);" ;
    if(mysqli_query($conexao, $query))
    {
        return True;
    }    
}


//PEDIDOS
public function cadastrarPedidoSoft($conexao,$id){
    $consulta = "INSERT INTO codpedidos (ID_SOFTCOM) VALUE ('$id') ;";
    mysqli_query($conexao,$consulta);
}

public function BuscarPedido($conexao,$id){

    $pedido3 = 0;
    $query = "SELECT * FROM codpedidos WHERE ID_SOFTCOM = '$id';";
    $result = mysqli_query($conexao, $query);

    foreach ($result as $pedidos) {$pedido3 = $pedidos['ID_SOFTCOM'];}
    
    return $pedido3;
}


public function cadastrarPedidoNovo($conexao,$fornecedor,$datapedido,$fabricante,$observacao,$loja,$status,$valor,$id, $alerta = 2, $remoto = 0){
    
    $query = "INSERT INTO pedidos (fornecedor, datapedido, fabricante, obs, loja,status,valor,numpedido,alertarecebimenot,feito_pelo_remoto)
    VALUES ('$fornecedor', '$datapedido', '$fabricante', '$observacao', '$loja', '$status', '$valor','$id', $alerta, $remoto);" ;
    
    if(mysqli_query($conexao, $query))
    {
        return True;
    }  


}

public function desafazerRecebimento($conexao,$id){

    $pedido3 = 0;
    $query = "DELETE FROM codpedidos
             WHERE ID_SOFTCOM = '$id'";
    $result = mysqli_query($conexao, $query);
}


//buscar o valor de pedidos em aberto no remoto
public function ValorPedidoAberto($conexao,$loja){

    //valor de pedidos em aberto
    $valor = 0;
    $query = "SELECT SUM(valor) AS VALOR FROM pedidos
              WHERE status = 'Pendente' AND valor > 0 AND LOJA = '$loja';";


    $result = mysqli_query($conexao, $query);
    foreach ($result as $valor) {$valor2 = $valor['VALOR'];}

    //valor de notas em aberto
    $valor = 0;
    $notas = "SELECT 
            SUM(pedidos.valor) AS VALOR
            FROM

            pedidos AS pedidos
            JOIN notas AS notas
            ON notas.idpedidos = pedidos.id

            WHERE notas.status = 'Pendente'
            AND pedidos.loja = '$loja'
              ;";

    $resultadoNotas = mysqli_query($conexao, $notas);

    foreach ($resultadoNotas as $valor1) {$valor3 = $valor1['VALOR'];}
   
    return $valor2 + $valor3;
}

//configurar painel pedidos
public function informarTipoDeConsultaCompras($conexao,$tipo,$usuario)

{
    $query = "UPDATE usuarios SET TIPO = '$tipo' WHERE usuario = '$usuario';" ;
    if(mysqli_query($conexao, $query))
    {
        return True;
    }  
}

public function consultarTipoVisaoCompras($conexao,$usuario){

    $pedido3 = 0;
    $query = "SELECT * FROM usuarios WHERE usuario = '$usuario';";
    $result = mysqli_query($conexao, $query);

    foreach ($result as $pedidos) {$pedido3 = $pedidos['TIPO'];}
    
    return $pedido3;
}



public function buscarQuantidadeAvariaFabricante($conexao,$fabricante,$lojaConsulta){
    
$query =  "SELECT SUM(estoque) AS ID FROM `avarias` WHERE fabricante = '$fabricante' AND estoque > 0 AND lojaorigem = '$lojaConsulta';";
    $resultado = mysqli_query($conexao,$query);
    $linha = mysqli_fetch_assoc($resultado);


    return $linha['ID'];

}


public function buscarQuantidadeAvariaFabricanteAndamento($conexao,$fabricante,$lojaConsulta){
    
$query =  "SELECT SUM(estoqueandamento) AS ID FROM `avarias` WHERE fabricante = '$fabricante' AND estoqueandamento > 0 AND lojaorigem = '$lojaConsulta';";
    $resultado = mysqli_query($conexao,$query);
    $linha = mysqli_fetch_assoc($resultado);


    return $linha['ID'];

}




}